Subject: Re: [PATCH 2/2] powerpc: Align hot loops of some string functions

From: Segher Boessenkool <[email-masked]>
Date: Thu, 26 May 2016 14:37:28 -0500

On Thu, May 26, 2016 at 09:24:51AM +0200, Christophe Leroy wrote:
> Wouldn't it be better to add nops before the function entry in order to 
> get the hot loop aligned, instead of adding nops in the middle of the 
> function ?

Why would that be better?  The nops are executed once per function call
in either case, there are the same number of nops in either case, and
on most CPUs nops aren't actually executed anyway (they are decoded and
the thrown away).

Segher